Loading...
Searching...
No Matches
StorageFolding.h File Reference

Defines the lowering optimization pass that reduces large buffers down to smaller circular buffers when possible. More...

`#include <map>`
`#include <string>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::storage_folding (const Stmt &s, const std::map< std::string, Function > &env)
| Fold storage of functions if possible.

## Detailed Description

Defines the lowering optimization pass that reduces large buffers down to smaller circular buffers when possible.

Definition in file StorageFolding.h.